/**
 * Used to key what type of LayoutComponent an object is
 * @internal
 */
export declare const componentType: unique symbol;
/**
 * Used to key a reference to the instance and golden layout container on a layout component.
 * @internal
 */
export declare const instanceContainer: unique symbol;
/**
 * Default time in milliseconds for the layout to buffer calls to reloading
 * the layout while the declarative API is loading.
 *
 * During the first load of the layout, a loading spinner will be shown.
 * @public
 */
export declare const DEFAULT_RELOAD_BUFFER = 500;
/**
 * Key to cache autosaved layouts in local storage
 * @internal
 */
export declare const AUTOSAVE_KEY = "foundation-layout-autosave";
/**
 * Key to be used for controlling popout behaviour
 * @internal
 */
export declare const LAYOUT_POPOUT_CONTROL_KEY = "f-layout-key";
/**
 * Put this classname on an element which is a DOM parent of the layout, and
 * if the layout goes into popout mode then it will place itself as the only child
 * for the popout container you set.
 * @beta
 */
export declare const LAYOUT_POPOUT_CONTAINER_CLASS = "f-layout-popout";
//# sourceMappingURL=constants.d.ts.map